Skip to content

Ai Analyze Plot

POST
/api/creative/plot/analyze

Run AI-powered plot analysis using the configured LLM.

AiAnalysisRequest

Request body for AI-powered plot analysis.

object
plotlineId
Any of:
string

Successful Response

AiAnalysisResponse

Response wrapper for AI plot analysis.

object
status
Status

Operation status

string
default: ok
data
required
AiAnalysisData

AI analysis payload

object
insights
Insights
Array<object>
AiInsight

A single AI-generated insight about the plot.

object
area
required
Area

Area of analysis

string
insight
required
Insight

The insight or suggestion

string
severity
required
Severity

Severity level

string
Allowed values: strength suggestion concern
summary
Summary

High-level summary

string
""
modelUsed
Modelused

LLM model that generated the analysis

string
""

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object